ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001379ClearOSanaconda - Installerpublic2013-10-16 09:082015-11-23 12:34
Reporteruser2 
Assigned Toslords 
PrioritynormalSeveritymajorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version6.6.0Fixed in Version6.6.0 
Summary0001379: Install fails on certain Dell equipment
DescriptionFor some Dell equipment, the install fails with:

KeyError: 'eth0'
install exited abnormally

The workaround is to set the biosdevname kernel parameter. Is this workaround still required?
TagsNo tags attached.
Attached Files

- Relationships
related to 0000963closeduser2 Install fails on certain Dell equipment (BoxGrinder) 
related to 0002044confirmed Install fails when no network interfaces are detected 

-  Notes
(0001045)
user2
2013-10-16 09:14

The installclasses/server.py in the product.img file requires the following one-line change:

< if anaconda.id.network.getDevice("eth0"):
---
> if "eth0" in devices and anaconda.id.network.getDevice("eth0"):

Let me know if a patch file is better.

- Issue History
Date Modified Username Field Change
2013-10-16 09:08 user2 New Issue
2013-10-16 09:08 user2 Status new => assigned
2013-10-16 09:08 user2 Assigned To => slords
2013-10-16 09:08 user2 Issue generated from: 0000963
2013-10-16 09:08 user2 Relationship added related to 0000963
2013-10-16 09:14 user2 Note Added: 0001045
2013-12-16 20:17 user2 Target Version 6.5.0 => 6.6.0 Beta 1
2014-04-22 13:37 user2 Target Version 6.6.0 Beta 1 => 6.6.0
2014-11-21 04:13 user2 Issue cloned: 0002044
2014-11-21 04:13 user2 Relationship added related to 0002044
2014-11-21 04:18 user2 Status assigned => resolved
2014-11-21 04:18 user2 Fixed in Version => 6.6.0
2014-11-21 04:18 user2 Resolution open => fixed
2015-01-19 08:43 user2 Target Version 6.6.0 => 6.7.0 Beta 1
2015-01-19 08:45 user2 Fixed in Version 6.6.0 => 6.7.0 Beta 1
2015-01-25 15:54 user2 Fixed in Version 6.7.0 Beta 1 => 6.6.0
2015-01-25 15:54 user2 Target Version 6.7.0 Beta 1 => 6.6.0
2015-11-23 12:34 user2 Status resolved => closed